tagstream-conduit-0.5.5.3: streamlined html tag parser

Safe Haskell | Safe
Language | Haskell98

Text.HTML.TagStream.Entities

Description

HTML entity decoding.

Synopsis

- data Dec builder string = Dec {
  - decToS :: builder -> string
  - decBreak :: (Char -> Bool) -> string -> (string, string)
  - decBuilder :: string -> builder
  - decDrop :: Int -> string -> string
  - decEntity :: string -> Maybe string
  - decUncons :: string -> Maybe (Char, string)
  }
- isNameChar :: Char -> Bool
- isNameStart :: Char -> Bool
- decodeEntities :: (Monad m, Monoid builder, Monoid string, IsString string, Eq string) => Dec builder string -> Conduit (Token' string) m (Token' string)

# Documentation

data Dec builder string #

A decoder.

Constructors

Dec |
Fields decToS :: builder -> string decBreak :: (Char -> Bool) -> string -> (string, string) decBuilder :: string -> builder decDrop :: Int -> string -> string decEntity :: string -> Maybe string decUncons :: string -> Maybe (Char, string)

isNameChar :: Char -> Bool #

Is the character valid in a Name?

isNameStart :: Char -> Bool #

Is the character a valid Name starter?

decodeEntities :: (Monad m, Monoid builder, Monoid string, IsString string, Eq string) => Dec builder string -> Conduit (Token' string) m (Token' string) #

A conduit to decode entities from a stream of tokens into a new stream of tokens.